VistaIOWriteEdges(3)

NAME
VistaIOWriteEdges - write a series of edge sets to a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>
#include <vistaio.h>

VistaIOBoolean VistaIOWriteEdges (file, attributes, nedges, edges)
    FILE *file;
    VistaIOAttrList attributes;
    int nedges;
    VistaIOEdges edges[nedges];

ARGUMENTS

file
    Specifies the open stream to which the edges should be written.

attributes
    Specifies a list of attributes to be written to the stream.

nedges
    Specifies the number of edge sets to be written.

edges
    Specifies the edge sets to be written.

DESCRIPTION
VistaIOWriteEdges writes a series of edge sets to an open stream as a Vista data file. Edge sets edges[0] through edges[nedges - 1] are written, followed by any attributes in the list attributes. The attributes argument may be NULL if only edge sets are to be written.

RETURN VALUES
VistaIOWriteEdges returns TRUE if successful and FALSE otherwise. In the case of an error, data written to the stream may be incomplete.

SEE ALSO
VistaIOWriteFile(3), VistaIOWriteObjects(3), stdio(3),
VistaIOEdges(3)

AUTHOR
David Lowe <lowe@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>